Zum Hauptinhalt springen
POST
/
tool
Create a NEO tool
curl --request POST \
  --url https://demo.enneo.ai/api/mind/tool \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "aiAgentId": 123,
  "description": "<string>",
  "definition": {}
}
'
{
  "tool": {
    "id": 123,
    "slug": "<string>",
    "aiAgentId": 123,
    "name": "<string>",
    "description": "<string>",
    "definition": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "modifiedAt": "2023-11-07T05:31:56Z"
  },
  "success": true
}

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Body

application/json
name
string
erforderlich
slug
string

Stable cortex reference name. Defaults to a slug of name.

aiAgentId
integer | null

Owning agent (private) or null (shared).

description
string | null
definition
object

Full ToolSpec (view/ui/placement/layout/props/input/permission/executor[]).

Antwort

Created

tool
object
success
boolean